> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getRawBlockTransactions

> Lists transactions in a block without processing them



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getRawBlockTransactions
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getRawBlockTransactions:
    post:
      tags:
        - ZKSync API
      summary: zks_getRawBlockTransactions
      description: Lists transactions in a block without processing them
      operationId: zks_getRawBlockTransactions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getRawBlockTransactions
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  description: Parameters for retrieving raw block transactions
                  minItems: 1
                  maxItems: 1
                  default:
                    - 7469801
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getRawBlockTransactions
                  params:
                    - 7469801
      responses:
        '200':
          description: Returns an array of raw transaction objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RawBlockTransactionsResponse'
              examples:
                example1:
                  value:
                    jsonrpc: '2.0'
                    result:
                      - common_data:
                          L2:
                            nonce: 117
                            fee:
                              gas_limit: '0xbadbc'
                              max_fee_per_gas: '0x202fbf0'
                              max_priority_fee_per_gas: '0x0'
                              gas_per_pubdata_limit: '0xc350'
                            initiatorAddress: '0xe7734c4a8201af41db64da90eddb4c19bbf64710'
                            signature:
                              - 203
                              - 118
                              - 119
                              - 63
                              - 1
                              - 54
                              - 91
                              - 252
                              - 188
                              - 23
                              - 120
                              - 51
                              - 4
                              - 28
                            transactionType: EIP1559Transaction
                            input:
                              hash: >-
                                0x970c9480960818b05832f7e5b76a0c46956003c34942e005672d7ddc537aaa59
                              data:
                                - 2
                                - 249
                                - 1
                                - 111
                                - 1305
                                - 187
                                - 2
                                - 170
                                - 21
                                - 166
                                - 251
                                - 255
                            paymasterParams:
                              paymaster: '0x0000000000000000000000000000000000000000'
                              paymasterInput: []
                        execute:
                          contractAddress: '0x5155704bb41fde152ad3e1ae402e8e8b9ba335d3'
                          calldata: 0fa0x5155704bb41fde152ad3e1ae402e8e8b9ba335d3
                          value: '0x0'
                          factoryDeps: null
                        received_timestamp_ms: 1711649348872
                        raw_bytes: '0x02f9016f8201447580840202fbf'
                    id: 1
components:
  schemas:
    RawBlockTransactionsResponse:
      $ref: 27b5834f-c422-4f02-b316-c65cb69fd4ab

````